Create Refund
https://api.nomod.com/v1/checkout/{id}/refundCreate refund.
curl -X POST 'https://api.nomod.com/v1/checkout/:id/refund' \
-H 'X-API-KEY: $NOMOD_API_KEY' \
-H 'Content-Type: application/json'Path parameters
idstringrequiredResponses
refund_idstring <uuid>requiredUnique refund ID
charge_idstring <uuid>requiredUnique charge ID (payment ID) associated with the checkout session
statusobjectrequiredRefund status: pending, completed, failed * `pending` - pending * `completed` - completed * `failed` - failed
amountintegerrequiredTotal refund amount in the major currency unit (e.g., USD, AED)
Min: 1
currencystringrequiredCurrency code (ISO 4217 format, e.g., USD, INR, AED)
Max length: 3
refund_timestring <date-time>requiredISO timestamp of refund
reasonstringReason for refund (if provided)
reference_idstringReference ID passed in the request
metadataobjectA set of key-value pairs that merchants can attach to an object. This can be useful for storing additional information about the object in a structured format.Maximum of 40 pairs allowed. Keys must be alphanumeric and cannot contain square brackets ([ and ]). Keys must not exceed 24 characters, and values must not exceed 512 characters.
Example response
{
"refund_id": "00000000-0000-0000-0000-000000000000",
"charge_id": "00000000-0000-0000-0000-000000000000",
"status": {
"0": "p",
"1": "e",
"2": "n",
"3": "d",
"4": "i",
"5": "n",
"6": "g"
},
"amount": 1,
"currency": "string",
"refund_time": "2026-01-01T00:00:00Z",
"reason": "string",
"reference_id": "string",
"metadata": {}
}